## scons-doc 1.2.0.d20100117

=== SConstruct ===
#
# SConstruct file to build scons packages during development.
#
# See the README file for an overview of how SCons is built and tested.
#

# When this gets changed, you must also change the copyright_years string
# in QMTest/TestSCons.py so the test scripts look for the right string.
copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010'

# This gets inserted into the man pages to reflect the month of release.
month_year = 'January 2010'

#
# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 The SCons Foundation
#
# Permission is hereby granted, free of charge, to any person obtaining
# a copy of this software and associated documentation files (the
# "Software"), to deal in the Software without restriction, including
# without limitation the rights to use, copy, modify, merge, publish,
# distribute, sublicense, and/or sell copies of the Software, and to
# permit persons to whom the Software is furnished to do so, subject to
# the following conditions:
#
# The above copyright notice and this permission notice shall be included
# in all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY
# KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE
# WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
# NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
# LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
# OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
# WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
#

import distutils.util
import fnmatch
import os
import os.path
import re
import stat
import string
import sys
import tempfile

project = 'scons'
default_version = '1.2.0'
copyright = "Copyright (c) %s The SCons Foundation" % copyright_years

platform = distutils.util.get_platform()

SConsignFile()

#
# An internal "whereis" routine to figure out if a given program
# is available on this system.
#
def whereis(file):
    exts = ['']
    if platform == "win32":
        exts += ['.exe']
    for dir in string.split(os.environ['PATH'], os.pathsep):
        f = os.path.join(dir, file)
        for ext in exts:
            f_ext = f + ext
            if os.path.isfile(f_ext):
                try:
                    st = os.stat(f_ext)
                except:
                    continue
                if stat.S_IMODE(st[stat.ST_MODE]) & 0111:
                    return f_ext
    return None

#
# We let the presence or absence of various utilities determine whether
# or not we bother to build certain pieces of things.  This should allow
# people to still do SCons packaging work even if they don't have all
# of the utilities installed (e.g. RPM).
#
dh_builddeb = whereis('dh_builddeb')
fakeroot = whereis('fakeroot')
gzip = whereis('gzip')
rpmbuild = whereis('rpmbuild') or whereis('rpm')
hg = os.path.exists('.hg') and whereis('hg')
svn = os.path.exists('.svn') and whereis('svn')
unzip = whereis('unzip')
zip = whereis('zip')

#
# Now grab the information that we "build" into the files.
#
date = ARGUMENTS.get('DATE')
if not date:
    import time
    date = time.strftime("%Y/%m/%d %H:%M:%S", time.localtime(time.time()))

developer = ARGUMENTS.get('DEVELOPER')
if not developer:
    for variable in ['USERNAME', 'LOGNAME', 'USER']:
        developer = os.environ.get(variable)
        if developer:
            break

build_system = ARGUMENTS.get('BUILD_SYSTEM')
if not build_system:
    import socket
    build_system = string.split(socket.gethostname(), '.')[0]

version = ARGUMENTS.get('VERSION', '')
if not version:
    version = default_version

hg_status_lines = []
svn_status_lines = []

if hg:
    cmd = "%s status --all 2> /dev/null" % hg
    hg_status_lines = os.popen(cmd, "r").readlines()

if svn:
    cmd = "%s status --verbose 2> /dev/null" % svn
    svn_status_lines = os.popen(cmd, "r").readlines()

revision = ARGUMENTS.get('REVISION', '')
def generate_build_id(revision):
    return revision

if not revision and hg:
    hg_heads = os.popen("%s heads 2> /dev/null" % hg, "r").read()
    cs = re.search('changeset:\s+(\S+)', hg_heads)
    if cs:
        revision = cs.group(1)
        b = re.search('branch:\s+(\S+)', hg_heads)
        if b:
            revision = b.group(1) + ':' + revision
        def generate_build_id(revision):
            result = revision
            if filter(lambda l: l[0] in 'AMR!', hg_status_lines):
                result = result + '[MODIFIED]'
            return result

if not revision and svn:
    svn_info = os.popen("%s info 2> /dev/null" % svn, "r").read()
    m = re.search('Revision: (\d+)', svn_info)
    if m:
        revision = m.group(1)
        def generate_build_id(revision):
            result = 'r' + revision
            if filter(lambda l: l[0] in 'ACDMR', svn_status_lines):
                result = result + '[MODIFIED]'
            return result

checkpoint = ARGUMENTS.get('CHECKPOINT', '')
if checkpoint:
    if checkpoint == 'd':
        import time
        checkpoint = time.strftime('d%Y%m%d', time.localtime(time.time()))
    elif checkpoint == 'r':
        checkpoint = 'r' + revision
    version = version + '.' + checkpoint

build_id = ARGUMENTS.get('BUILD_ID')
if build_id is None:
    if revision:
        build_id = generate_build_id(revision)
    else:
        build_id = ''

python_ver = sys.version[0:3]

# Re-exporting LD_LIBRARY_PATH is necessary if the Python version was
# built with the --enable-shared option.

ENV = { 'PATH' : os.environ['PATH'] }
for key in ['LOGNAME', 'PYTHONPATH', 'LD_LIBRARY_PATH']:
    if os.environ.has_key(key):
        ENV[key] = os.environ[key]

build_dir = ARGUMENTS.get('BUILDDIR', 'build')
if not os.path.isabs(build_dir):
    build_dir = os.path.normpath(os.path.join(os.getcwd(), build_dir))

command_line_variables = [
    ("BUILDDIR=",       "The directory in which to build the packages.  " +
                        "The default is the './build' subdirectory."),

    ("BUILD_ID=",       "An identifier for the specific build." +
                        "The default is the Subversion revision number."),

    ("BUILD_SYSTEM=",   "The system on which the packages were built.  " +
                        "The default is whatever hostname is returned " +
                        "by socket.gethostname()."),

    ("CHECKPOINT=",     "The specific checkpoint release being packaged, " +
                        "which will be appended to the VERSION string.  " +
                        "A value of CHECKPOINT=d will generate a string " +
                        "of 'd' plus today's date in the format YYYMMDD.  " +
                        "A value of CHECKPOINT=r will generate a " +
                        "string of 'r' plus the Subversion revision " +
                        "number.  Any other CHECKPOINT= string will be " +
                        "used as is.  There is no default value."),

    ("DATE=",           "The date string representing when the packaging " +
                        "build occurred.  The default is the day and time " +
                        "the SConstruct file was invoked, in the format " +
                        "YYYY/MM/DD HH:MM:SS."),

    ("DEVELOPER=",      "The developer who created the packages.  " +
                        "The default is the first set environment " +
                        "variable from the list $USERNAME, $LOGNAME, $USER."),

    ("REVISION=",       "The revision number of the source being built.  " +
                        "The default is the Subversion revision returned " +
                        "'svn info', with an appended string of " +
                        "'[MODIFIED]' if there are any changes in the " +
                        "working copy."),

    ("VERSION=",        "The SCons version being packaged.  The default " +
                        "is the hard-coded value '%s' " % default_version +
                        "from this SConstruct file."),
]

Default('.', build_dir)

packaging_flavors = [
    ('deb',             "A .deb package.  (This is currently not supported.)"),

    ('rpm',             "A RedHat Package Manager file."),

    ('tar-gz',          "The normal .tar.gz file for end-user installation."),

    ('src-tar-gz',      "A .tar.gz file containing all the source " +
                        "(including tests and documentation)."),

    ('local-tar-gz',    "A .tar.gz file for dropping into other software " +
                        "for local use."),

    ('zip',             "The normal .zip file for end-user installation."),

    ('src-zip',         "A .zip file containing all the source " +
                        "(including tests and documentation)."),

    ('local-zip',       "A .zip file for dropping into other software " +
                        "for local use."),
]

test_deb_dir          = os.path.join(build_dir, "test-deb")
test_rpm_dir          = os.path.join(build_dir, "test-rpm")
test_tar_gz_dir       = os.path.join(build_dir, "test-tar-gz")
test_src_tar_gz_dir   = os.path.join(build_dir, "test-src-tar-gz")
test_local_tar_gz_dir = os.path.join(build_dir, "test-local-tar-gz")
test_zip_dir          = os.path.join(build_dir, "test-zip")
test_src_zip_dir      = os.path.join(build_dir, "test-src-zip")
test_local_zip_dir    = os.path.join(build_dir, "test-local-zip")

unpack_tar_gz_dir     = os.path.join(build_dir, "unpack-tar-gz")
unpack_zip_dir        = os.path.join(build_dir, "unpack-zip")

if platform == "win32":
    tar_hflag = ''
    python_project_subinst_dir = os.path.join("Lib", "site-packages", project)
    project_script_subinst_dir = 'Scripts'
else:
    tar_hflag = 'h'
    python_project_subinst_dir = os.path.join("lib", project)
    project_script_subinst_dir = 'bin'



import textwrap

indent_fmt = '  %-26s  '

Help("""\
The following aliases build packages of various types, and unpack the
contents into build/test-$PACKAGE subdirectories, which can be used by the
runtest.py -p option to run tests against what's been actually packaged:

""")

aliases = packaging_flavors + [('doc', 'The SCons documentation.')]
aliases.sort()

for alias, help_text in aliases:
    tw = textwrap.TextWrapper(
        width = 78,
        initial_indent = indent_fmt % alias,
        subsequent_indent = indent_fmt % '' + '  ',
    )
    Help(tw.fill(help_text) + '\n')

Help("""
The following command-line variables can be set:

""")

for variable, help_text in command_line_variables:
    tw = textwrap.TextWrapper(
        width = 78,
        initial_indent = indent_fmt % variable,
        subsequent_indent = indent_fmt % '' + '  ',
    )
    Help(tw.fill(help_text) + '\n')



zcat = 'gzip -d -c'

#
# Figure out if we can handle .zip files.
#
zipit = None
unzipit = None
try:
    import zipfile

    def zipit(env, target, source):
        print "Zipping %s:" % str(target[0])
        def visit(arg, dirname, names):
            for name in names:
                path = os.path.join(dirname, name)
                if os.path.isfile(path):
                    arg.write(path)
        zf = zipfile.ZipFile(str(target[0]), 'w')
        olddir = os.getcwd()
        os.chdir(env['CD'])
        try: os.path.walk(env['PSV'], visit, zf)
        finally: os.chdir(olddir)
        zf.close()

    def unzipit(env, target, source):
        print "Unzipping %s:" % str(source[0])
        zf = zipfile.ZipFile(str(source[0]), 'r')
        for name in zf.namelist():
            dest = os.path.join(env['UNPACK_ZIP_DIR'], name)
            dir = os.path.dirname(dest)
            try:
                os.makedirs(dir)
            except:
                pass
            print dest,name
            # if the file exists, then delete it before writing
            # to it so that we don't end up trying to write to a symlink:
            if os.path.isfile(dest) or os.path.islink(dest):
                os.unlink(dest)
            if not os.path.isdir(dest):

=== debian/changelog ===
scons-doc (1.2.0.d20100117-1) unstable; urgency=low

  * New upstream checkpoint release
  * Switch to format 3.0 (quilt).

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 23 Jan 2010 15:25:58 +0100

scons-doc (1.2.0.d20091224-1) unstable; urgency=low

  * New upstream checkpoint release.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 29 Dec 2009 13:24:52 +0100

scons-doc (1.2.0.d20090919-1) unstable; urgency=low

  * New upstream checkpoint release.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 05 Dec 2009 17:41:49 +0100

scons-doc (1.2.0.d20090905-3) unstable; urgency=low

  * debian/patches/no_remote_dtd.patch:
    - Do not fetch DTD from WWW, use local one instead (Closes: #549824).

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 05 Oct 2009 23:14:53 +0200

scons-doc (1.2.0.d20090905-2) unstable; urgency=low

  * Do not install scons-reference, it is completely empty and useless.
    Wait for upstream to complete it (Closes: #549111).
  * Do not install man pages, they are installed with scons package.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 01 Oct 2009 23:25:05 +0200

scons-doc (1.2.0.d20090905-1) unstable; urgency=low

  * New upstream checkpoint release.
  * Also provide PDF and PostScript files.
  * Update my e-mail address.
  * Remove DM-Upload-Allowed field.
  * Update copyright informations.
  * Switch to debhelper 7.
  * Add doc-base file.
  * Add Vcs-* fields to document where scons-doc debianisation is stored.
  * Bump Standards-Version to 3.8.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 09 Sep 2009 20:56:23 +0200

scons-doc (1.2.0-2) unstable; urgency=low

  * Update Standards-Version to 3.8.1, no changes required.
  * Add watch file.

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 04 Apr 2009 00:21:40 +0200

scons-doc (1.2.0-1) experimental; urgency=low

  * Initial release (Closes: #263237).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Sat, 27 Dec 2008 11:33:28 +0100

=== debian/control ===
Source: scons-doc
Section: doc
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Mark Brown <broonie@debian.org>
Build-Depends: debhelper (>= 7.0.50~), scons (>= 1.2.0.d20100117)
Build-Depends-Indep: docbook-utils, jade
Standards-Version: 3.8.3
Homepage: http://www.scons.org/
Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons-doc.git
Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons-doc.git;a=summary

Package: scons-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: scons (>= 1.2.0.d20100117)
Description: Documentation for SCons, a replacement for Make
 SCons is a make replacement providing a range of enhanced features such
 as automated dependency generation and built in compilation cache
 support.  SCons rule sets are Python scripts so as well as the features
 it provides itself SCons allows you to use the full power of Python
 to control compilation.
 .
 This package provides the SCons User's guide.

## scons-doc 2.0.0

=== SConstruct ===
--- 
+++ 
@@ -2,14 +2,13 @@
 # SConstruct file to build scons packages during development.
 #
 # See the README file for an overview of how SCons is built and tested.
-#
 
 # When this gets changed, you must also change the copyright_years string
 # in QMTest/TestSCons.py so the test scripts look for the right string.
 copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'January 2010'
+month_year = 'June 2010'
 
 #
 # Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 The SCons Foundation
@@ -40,12 +39,11 @@
 import os.path
 import re
 import stat
-import string
 import sys
 import tempfile
 
 project = 'scons'
-default_version = '1.2.0'
+default_version = '2.0.0.final.0'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()
@@ -60,7 +58,7 @@
     exts = ['']
     if platform == "win32":
         exts += ['.exe']
-    for dir in string.split(os.environ['PATH'], os.pathsep):
+    for dir in os.environ['PATH'].split(os.pathsep):
         f = os.path.join(dir, file)
         for ext in exts:
             f_ext = f + ext
@@ -106,7 +104,7 @@
 build_system = ARGUMENTS.get('BUILD_SYSTEM')
 if not build_system:
     import socket
-    build_system = string.split(socket.gethostname(), '.')[0]
+    build_system = socket.gethostname().split('.')[0]
 
 version = ARGUMENTS.get('VERSION', '')
 if not version:
@@ -137,7 +135,7 @@
             revision = b.group(1) + ':' + revision
         def generate_build_id(revision):
             result = revision
-            if filter(lambda l: l[0] in 'AMR!', hg_status_lines):
+            if [l for l in hg_status_lines if l[0] in 'AMR!']:
                 result = result + '[MODIFIED]'
             return result
 
@@ -148,7 +146,7 @@
         revision = m.group(1)
         def generate_build_id(revision):
             result = 'r' + revision
-            if filter(lambda l: l[0] in 'ACDMR', svn_status_lines):
+            if [l for l in svn_status_lines if l[0] in 'ACDMR']:
                 result = result + '[MODIFIED]'
             return result
 
@@ -156,10 +154,10 @@
 if checkpoint:
     if checkpoint == 'd':
         import time
-        checkpoint = time.strftime('d%Y%m%d', time.localtime(time.time()))
+        checkpoint = time.strftime('%Y%m%d', time.localtime(time.time()))
     elif checkpoint == 'r':
         checkpoint = 'r' + revision
-    version = version + '.' + checkpoint
+    version = version + '.beta.' + checkpoint
 
 build_id = ARGUMENTS.get('BUILD_ID')
 if build_id is None:
@@ -175,7 +173,7 @@
 
 ENV = { 'PATH' : os.environ['PATH'] }
 for key in ['LOGNAME', 'PYTHONPATH', 'LD_LIBRARY_PATH']:
-    if os.environ.has_key(key):
+    if key in os.environ:
         ENV[key] = os.environ[key]
 
 build_dir = ARGUMENTS.get('BUILDDIR', 'build')
@@ -280,8 +278,7 @@
 
 """)
 
-aliases = packaging_flavors + [('doc', 'The SCons documentation.')]
-aliases.sort()
+aliases = sorted(packaging_flavors + [('doc', 'The SCons documentation.')])
 
 for alias, help_text in aliases:
     tw = textwrap.TextWrapper(
@@ -346,3 +343,6 @@
             if os.path.isfile(dest) or os.path.islink(dest):
                 os.unlink(dest)
             if not os.path.isdir(dest):
+                open(dest, 'wb').write(zf.read(name))
+
+except:

=== debian/changelog ===
scons-doc (2.0.0-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - Look for 2.0 branch.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 15 Jun 2010 16:31:02 +0200

scons-doc (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 25 Mar 2010 20:54:30 +0100

scons-doc (1.2.0.d20100306-1) unstable; urgency=low

  * New upstream checkpoint release.
  * debian/control:
    - Bump Standards-Version to 3.8.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Wed, 10 Mar 2010 14:19:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), scons (>= 1.2.0.d20100117)
+Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.0.0)
 Build-Depends-Indep: docbook-utils, jade
-Standards-Version: 3.8.3
+Standards-Version: 3.8.4
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons-doc.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons-doc.git;a=summary
@@ -13,7 +13,7 @@
 Package: scons-doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: scons (>= 1.2.0.d20100117)
+Suggests: scons (>= 2.0.0)
 Description: Documentation for SCons, a replacement for Make
  SCons is a make replacement providing a range of enhanced features such
  as automated dependency generation and built in compilation cache

=== debian/watch ===
version=3
http://sf.net/scons/scons-([0-9.]+)\..*.tar.gz

## scons-doc 2.0.1

=== SConstruct ===
--- 
+++ 
@@ -8,7 +8,7 @@
 copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'June 2010'
+month_year = 'August 2010'
 
 #
 # Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 The SCons Foundation
@@ -43,7 +43,7 @@
 import tempfile
 
 project = 'scons'
-default_version = '2.0.0.final.0'
+default_version = '2.0.1'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()

=== debian/changelog ===
scons-doc (2.0.1-1ubuntu1) oneiric; urgency=low

  * debian/patches/unicode.patch:
    - Make sure input variable is unicode (LP: #756122).

 -- Luca Falavigna <dktrkranz@ubuntu.com>  Wed, 25 May 2011 20:10:06 +0000

scons-doc (2.0.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.1, no changes required.
  * debian/copyright:
    - Adjust copyright years.
  * debian/watch:
    - Adjust to ignore development versions.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 10 Feb 2011 23:21:48 +0100

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.0.0)
+Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.0.1)
 Build-Depends-Indep: docbook-utils, jade
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons-doc.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons-doc.git;a=summary
@@ -13,7 +13,7 @@
 Package: scons-doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: scons (>= 2.0.0)
+Suggests: scons (>= 2.0.1)
 Description: Documentation for SCons, a replacement for Make
  SCons is a make replacement providing a range of enhanced features such
  as automated dependency generation and built in compilation cache

## scons-doc 2.1.0

=== SConstruct ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 # When this gets changed, you must also change the copyright_years string
 # in QMTest/TestSCons.py so the test scripts look for the right string.
-copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010'
+copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'August 2010'
-
-#
-# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010 The SCons Foundation
+month_year = 'September 2011'
+
+#
+# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 The SCons Foundation
 #
 # Permission is hereby granted, free of charge, to any person obtaining
 # a copy of this software and associated documentation files (the
@@ -43,7 +43,7 @@
 import tempfile
 
 project = 'scons'
-default_version = '2.0.1'
+default_version = '2.1.0'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()
@@ -345,4 +345,3 @@
             if not os.path.isdir(dest):
                 open(dest, 'wb').write(zf.read(name))
 
-except:

=== debian/changelog ===
scons-doc (2.1.0-2) unstable; urgency=low

  * debian/patches/unicode.patch:
    - Make sure input variable is unicode.

 -- Luca Falavigna <dktrkranz@debian.org>  Tue, 18 Oct 2011 21:30:36 +0200

scons-doc (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.2, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 10 Sep 2011 11:31:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.0.1)
+Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.1.0)
 Build-Depends-Indep: docbook-utils, jade
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons-doc.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons-doc.git;a=summary
@@ -13,7 +13,7 @@
 Package: scons-doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: scons (>= 2.0.1)
+Suggests: scons (>= 2.1.0)
 Description: Documentation for SCons, a replacement for Make
  SCons is a make replacement providing a range of enhanced features such
  as automated dependency generation and built in compilation cache

## scons-doc 2.2.0

=== SConstruct ===
--- 
+++ 
@@ -5,13 +5,13 @@
 
 # When this gets changed, you must also change the copyright_years string
 # in QMTest/TestSCons.py so the test scripts look for the right string.
-copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011'
+copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'September 2011'
-
-#
-# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 The SCons Foundation
+month_year = 'August 2012'
+
+#
+# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012 The SCons Foundation
 #
 # Permission is hereby granted, free of charge, to any person obtaining
 # a copy of this software and associated documentation files (the
@@ -43,7 +43,7 @@
 import tempfile
 
 project = 'scons'
-default_version = '2.1.0'
+default_version = '2.2.0'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()
@@ -343,5 +343,3 @@
             if os.path.isfile(dest) or os.path.islink(dest):
                 os.unlink(dest)
             if not os.path.isdir(dest):
-                open(dest, 'wb').write(zf.read(name))
-

=== debian/changelog ===
scons-doc (2.2.0-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/no_remote_dtd.patch:
    - Removed, no longer needed.
  * debian/patches/unicode.patch:
    - Removed, applied upstream.
  * debian/compat:
    - Bump compatibility level to 9.
  * debian/control:
    - Add docbook-xml to Build-Depends-Indep field.
    - Bump Standards-Version to 3.9.3, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 20 Aug 2012 23:50:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Luca Falavigna <dktrkranz@debian.org>
 Uploaders: Mark Brown <broonie@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), scons (>= 2.1.0)
-Build-Depends-Indep: docbook-utils, jade
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), scons (>= 2.2.0)
+Build-Depends-Indep: docbook-utils, jade, docbook-xml
+Standards-Version: 3.9.3
 Homepage: http://www.scons.org/
 Vcs-Git: git://git.debian.org/git/users/dktrkranz/scons-doc.git
 Vcs-Browser: http://git.debian.org/?p=users/dktrkranz/scons-doc.git;a=summary
@@ -13,7 +13,7 @@
 Package: scons-doc
 Architecture: all
 Depends: ${misc:Depends}
-Suggests: scons (>= 2.1.0)
+Suggests: scons (>= 2.2.0)
 Description: Documentation for SCons, a replacement for Make
  SCons is a make replacement providing a range of enhanced features such
  as automated dependency generation and built in compilation cache

## scons-doc 2.3.0

=== SConstruct ===
--- 
+++ 
@@ -1,17 +1,17 @@
 #
 # SConstruct file to build scons packages during development.
 #
-# See the README file for an overview of how SCons is built and tested.
+# See the README.rst file for an overview of how SCons is built and tested.
 
 # When this gets changed, you must also change the copyright_years string
 # in QMTest/TestSCons.py so the test scripts look for the right string.
-copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012'
+copyright_years = '2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013'
 
 # This gets inserted into the man pages to reflect the month of release.
-month_year = 'August 2012'
-
-#
-# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012 The SCons Foundation
+month_year = 'March 2013'
+
+#
+# Copyright (c) 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013 The SCons Foundation
 #
 # Permission is hereby granted, free of charge, to any person obtaining
 # a copy of this software and associated documentation files (the
@@ -43,7 +43,7 @@
 import tempfile
 
 project = 'scons'
-default_version = '2.2.0'
+default_version = '2.3.0'
 copyright = "Copyright (c) %s The SCons Foundation" % copyright_years
 
 platform = distutils.util.get_platform()

=== debian/changelog ===
scons-doc (2.3.0-2) unstable; urgency=low

  * Upload to unstable.
  * debian/control:
    - Move VCS repository under collab-maint.

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 05 May 2013 11:50:40 +0200

scons-doc (2.3.0-1) experimental; urgency=low

  * New upstream release.
  * debian/control:
    - Bump Standards-Version to 3.9.4, no changes required.

 -- Luca Falavigna <dktrkranz@debian.org>  Mon, 11 Mar 2013 22:35:26 +0100

=== debian/control ===
Source: scons-doc
Section: doc
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Mark Brown <broonie@debian.org>
Build-Depends: debhelper (>= 9), scons (>= 2.3.0)
Build-Depends-Indep: docbook-utils, jade, docbook-xml
Standards-Version: 3.9.4
Homepage: http://www.scons.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/scons-doc.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/scons-doc.git;a=summary

Package: scons-doc
Architecture: all
Depends: ${misc:Depends}
Suggests: scons (>= 2.3.0)
Description: Documentation for SCons, a replacement for Make
 SCons is a make replacement providing a range of enhanced features such
 as automated dependency generation and built in compilation cache
 support.  SCons rule sets are Python scripts so as well as the features
 it provides itself SCons allows you to use the full power of Python
 to control compilation.
 .
 This package provides the SCons User's guide.

=== debian/rules ===
#!/usr/bin/make -f

VERSION = $(shell head -n1 debian/changelog | sed -e 's/.*(//;s/-.*).*//;s/\+/\-/')

%:
	dh $@

override_dh_auto_clean:
	scons -c
	rm -fr build

override_dh_auto_install:
	scons doc
	rm -r $(CURDIR)/build/doc/HTML/scons-reference*
	find $(CURDIR)/build/doc -name "*scons-reference*" -delete
	find $(CURDIR)/build/doc -name "*-man*" -delete

get-orig-source:
	wget http://downloads.sourceforge.net/project/scons/scons-src/${VERSION}/scons-src-${VERSION}.tar.gz -O ../scons-src-${VERSION}.tar.gz
	tar fxz ../scons-src-${VERSION}.tar.gz -C ../ && mv ../scons-src-${VERSION} ../scons-doc-${VERSION}
	tar czf ../scons-doc_${VERSION}.orig.tar.gz ../scons-doc-${VERSION}/bin ../scons-doc-${VERSION}/config \
		../scons-doc-${VERSION}/doc  ../scons-doc-${VERSION}/LICENSE ../scons-doc-${VERSION}/SConstruct ../scons-doc-${VERSION}/src
	rm -fr ../scons-doc-${VERSION} ../scons-src-${VERSION}.tar.gz
